/* Include file of tables of error messages and codes for C */
/* Generated on Fri Dec  8 16:01:27 1989 */

#include "errmsg.h"

/* .TITLE WAY_ERRS RPC system Error Codes */
/* .IDENT "Version 1.0  8 Dec 89" */
/* .FACILITY WAY,119/PREFIX=WAY_S_ */

err_translation way_err_mess_array[] = {
  { 0x0001, "normal", "normal completion" }
 ,{ 0x0002, "no_server", "name server no available" }
 ,{ 0x0003, "buffer_overflow", "buffer overflow" }
 ,{ 0x0004, "nopriv", "you are not authorised" }
 ,{ 0x0000, 0, 0}
 };

struct err_block_struct way_err_mess_struct = {
 0, 119, "WAY_S_", "WAY", way_err_mess_array };

err_status way_register_errors()
    {
    return err_register(&way_err_mess_struct);
    }

err_status way_unregister_errors()
    {
    return err_unregister(&way_err_mess_struct);
    }
